I'm not able to remove calibre

    • OMV 1.0
    • Resolved

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • I'm not able to remove calibre

      I'm not able to remove calibre neither from OMV nor console with this commands

      Source Code

      1. touch /etc/calibre.conf
      2. apt-get purge openmediavault-calibre


      This is the result

      Source Code

      1. Lettura elenco dei pacchetti... Fatto
      2. Generazione albero delle dipendenze
      3. Lettura informazioni sullo stato... Fatto
      4. I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
      5. gir1.2-glib-2.0 libatk1.0-0 libatk1.0-data libaudio2 libblas3 libchm1
      6. libdbus-glib-1-2 libgfortran3 libgirepository-1.0-1
      7. libgstreamer-plugins-base0.10-0 libgstreamer0.10-0 libgtk2.0-0
      8. libgtk2.0-common liblapack3 libmng1 libmtp-common libmtp9 libpodofo-utils
      9. libpodofo0.9.0 libpoppler-glib8 libqt4-dbus libqt4-declarative
      10. libqt4-designer libqt4-help libqt4-network libqt4-script libqt4-scripttools
      11. libqt4-sql libqt4-svg libqt4-test libqt4-xml libqt4-xmlpatterns
      12. libqtassistantclient4 libqtcore4 libqtdbus4 libqtgui4 libqtwebkit4
      13. libquadmath0 libxcomposite1 libxcursor1 libxdamage1 libxinerama1 libxrandr2
      14. python-apsw python-beautifulsoup python-cairo python-chm python-cssutils
      15. python-dateutil python-dbus python-dbus-dev python-django
      16. python-django-tagging python-dnspython python-gi python-gobject
      17. python-gobject-2 python-gtk2 python-imaging python-mechanize
      18. python-netifaces python-numpy python-poppler python-psutil python-pypdf
      19. python-qt4 python-sip qdbus
      20. Usare "apt-get autoremove" per rimuoverli.
      21. I seguenti pacchetti saranno RIMOSSI:
      22. openmediavault-calibre*
      23. 0 aggiornati, 0 installati, 1 da rimuovere e 6 non aggiornati.
      24. Dopo quest'operazione, verranno liberati 69,6 kB di spazio su disco.
      25. Continuare [S/n]? s
      26. (Lettura del database... 99714 file e directory attualmente installati.)
      27. Rimozione di openmediavault-calibre...
      28. /etc/init.d/calibre: 36: .: Can't open /etc/calibre-server.conf
      29. invoke-rc.d: initscript calibre, action "stop" failed.
      30. dpkg: errore nell'elaborare openmediavault-calibre (--purge):
      31. il sottoprocesso installato script di pre-removal ha restituito lo stato di errore 2
      32. insserv: warning: current start runlevel(s) (empty) of script `calibre' overrides LSB defaults (2 3 4 5).
      33. insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `calibre' overrides LSB defaults (0 1 6).
      34. insserv: warning: current start runlevel(s) (empty) of script `calibre' overrides LSB defaults (2 3 4 5).
      35. insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `calibre' overrides LSB defaults (0 1 6).
      36. insserv: warning: current start runlevel(s) (empty) of script `calibre' overrides LSB defaults (2 3 4 5).
      37. insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `calibre' overrides LSB defaults (0 1 6).
      38. Elaborazione dei trigger per openmediavault...
      39. Restarting engine daemon ...
      40. Si sono verificati degli errori nell'elaborazione:
      41. openmediavault-calibre
      42. Creating index of upgradeable packages ...
      43. Creating index of OpenMediaVault plugins ...
      44. E: Sub-process /usr/bin/dpkg returned an error code (1)
      Display All


      Calibre was installed with OMV 0.5 and gave problems either with the installation than with the uninstall.
      I was hoping that after the migration everything worked as it should.

      My biggest concern is to see that there are problems with other packages. How do I can verify that OMV is still stable?
      Thanks in advance for your help. :thumbup:
      ==============
      1 USB Stick Kingston HyperX Fury 16GB (USB 3.0 90MB/s Read - 30MB/s Write)
      2 HDD WD Blue 320GB RAID2
      4 HDD WD Green 1TB RAID5

      My jobs:
      EOLO. Internet Wireless in Italy
      Upgrade Labs
    • touch /etc/calibre-server.conf

      Then uninstall again.

      Greetings
      David
      "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"

      Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.


      Upload Logfile via WebGUI/CLI
      #openmediavault on freenode IRC | German & English | GMT+1
      Absolutely no Support via PM!

      I host parts of the omv-extras.org Repository, the OpenMediaVault Live Demo and the pre-built PXE Images. If you want you can take part and help covering the costs by having a look at my profile page.
    • After a new OMV update, now I'm able to installa and uninstall Caliber.
      There are still some waring.

      Source Code

      1. ...
      2. Extracting...
      3. update-rc.d: using dependency based boot sequencing
      4. insserv: warning: current start runlevel(s) (empty) of script `calibre' overrides LSB defaults (2 3 4 5).
      5. insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `calibre' overrides LSB defaults (0 1 6).
      6. insserv: warning: current start runlevel(s) (empty) of script `calibre' overrides LSB defaults (2 3 4 5).
      7. insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `calibre' overrides LSB defaults (0 1 6).
      8. insserv: warning: current start runlevel(s) (empty) of script `calibre' overrides LSB defaults (2 3 4 5).
      9. insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `calibre' overrides LSB defaults (0 1 6).
      10. insserv: warning: current start runlevel(s) (empty) of script `calibre' overrides LSB defaults (2 3 4 5).
      11. insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `calibre' overrides LSB defaults (0 1 6).
      12. insserv: warning: current start runlevel(s) (empty) of script `calibre' overrides LSB defaults (2 3 4 5).
      13. insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `calibre' overrides LSB defaults (0 1 6).
      14. insserv: warning: current start runlevel(s) (empty) of script `calibre' overrides LSB defaults (2 3 4 5).
      15. insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `calibre' overrides LSB defaults (0 1 6).
      Display All
      Thanks in advance for your help. :thumbup:
      ==============
      1 USB Stick Kingston HyperX Fury 16GB (USB 3.0 90MB/s Read - 30MB/s Write)
      2 HDD WD Blue 320GB RAID2
      4 HDD WD Green 1TB RAID5

      My jobs:
      EOLO. Internet Wireless in Italy
      Upgrade Labs
    • You uninstalled it now? Then you don't need to care about the errors.

      Greetings
      David
      "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"

      Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.


      Upload Logfile via WebGUI/CLI
      #openmediavault on freenode IRC | German & English | GMT+1
      Absolutely no Support via PM!

      I host parts of the omv-extras.org Repository, the OpenMediaVault Live Demo and the pre-built PXE Images. If you want you can take part and help covering the costs by having a look at my profile page.
    • I've uninstalled Calibre plugin and then install it again.
      I thought I did not have any more problems.
      But today, updating OMV ...
      I only started the update of OMV and this is the result.
      And an hour later I'm still waiting for that in the popup is active the "Closed"
      ========

      Source Code

      1. Reading package lists...
      2. Building dependency tree...
      3. Reading state information...
      4. Suggested packages:
      5. aptitude synaptic wajig dpkg-dev apt-doc python-apt bash-doc
      6. The following packages will be upgraded:
      7. apt apt-utils bash libapt-inst1.5 libapt-pkg4.12 libnss3 openmediavault
      8. openmediavault-calibre
      9. 8 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
      10. Need to get 0 B/6004 kB of archives.
      11. After this operation, 1024 B of additional disk space will be used.
      12. WARNING: The following packages cannot be authenticated!
      13. bash libapt-pkg4.12 apt libapt-inst1.5 libnss3 apt-utils openmediavault
      14. openmediavault-calibre
      15. Authentication warning overridden.
      16. (Reading database ... 102256 files and directories currently installed.)
      17. Preparing to replace bash 4.2+dfsg-0.1 (using .../bash_4.2+dfsg-0.1+deb7u3_amd64.deb) ...
      18. Unpacking replacement bash ...
      19. Setting up bash (4.2+dfsg-0.1+deb7u3) ...
      20. update-alternatives: using /usr/share/man/man7/bash-builtins.7.gz to provide /usr/share/man/man7/builtins.7.gz (builtins.7.gz) in auto mode
      21. (Reading database ... 102256 files and directories currently installed.)
      22. Preparing to replace libapt-pkg4.12:amd64 0.9.7.9+deb7u4 (using .../libapt-pkg4.12_0.9.7.9+deb7u5_amd64.deb) ...
      23. Unpacking replacement libapt-pkg4.12:amd64 ...
      24. Setting up libapt-pkg4.12:amd64 (0.9.7.9+deb7u5) ...
      25. (Reading database ... 102256 files and directories currently installed.)
      26. Preparing to replace apt 0.9.7.9+deb7u4 (using .../apt_0.9.7.9+deb7u5_amd64.deb) ...
      27. Unpacking replacement apt ...
      28. Setting up apt (0.9.7.9+deb7u5) ...
      29. gpg: key B98321F9: "Squeeze Stable Release Key <debian-release@lists.debian.org>" not changed
      30. gpg: key 473041FA: "Debian Archive Automatic Signing Key (6.0/squeeze) <ftpmaster@debian.org>" not changed
      31. gpg: key 65FFB764: "Wheezy Stable Release Key <debian-release@lists.debian.org>" not changed
      32. gpg: key 46925553: "Debian Archive Automatic Signing Key (7.0/wheezy) <ftpmaster@debian.org>" not changed
      33. gpg: Total number processed: 4
      34. gpg: unchanged: 4
      35. (Reading database ... 102256 files and directories currently installed.)
      36. Preparing to replace libapt-inst1.5:amd64 0.9.7.9+deb7u4 (using .../libapt-inst1.5_0.9.7.9+deb7u5_amd64.deb) ...
      37. Unpacking replacement libapt-inst1.5:amd64 ...
      38. Preparing to replace libnss3:amd64 2:3.14.5-1+deb7u1 (using .../libnss3_2%3a3.14.5-1+deb7u2_amd64.deb) ...
      39. Unpacking replacement libnss3:amd64 ...
      40. Preparing to replace apt-utils 0.9.7.9+deb7u4 (using .../apt-utils_0.9.7.9+deb7u5_amd64.deb) ...
      41. Unpacking replacement apt-utils ...
      42. Preparing to replace openmediavault 1.0.22 (using .../openmediavault_1.0.23_all.deb) ...
      43. Unpacking replacement openmediavault ...
      44. Preparing to replace openmediavault-calibre 1.0.6 (using .../openmediavault-calibre_1.0.7_all.deb) ...
      45. /etc/init.d/calibre: 36: .: Can't open /etc/calibre-server.conf
      46. invoke-rc.d: initscript calibre, action "stop" failed.
      47. dpkg: warning: subprocess old pre-removal script returned error exit status 2
      48. dpkg: trying script from the new package instead ...
      49. /etc/init.d/calibre: 36: .: Can't open /etc/calibre-server.conf
      50. invoke-rc.d: initscript calibre, action "stop" failed.
      51. dpkg: error processing /var/cache/apt/archives/openmediavault-calibre_1.0.7_all.deb (--unpack):
      52. subprocess new pre-removal script returned error exit status 2
      53. insserv: warning: current start runlevel(s) (empty) of script `calibre' overrides LSB defaults (2 3 4 5).
      54. insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `calibre' overrides LSB defaults (0 1 6).
      55. insserv: warning: current start runlevel(s) (empty) of script `calibre' overrides LSB defaults (2 3 4 5).
      56. insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `calibre' overrides LSB defaults (0 1 6).
      57. insserv: warning: current start runlevel(s) (empty) of script `calibre' overrides LSB defaults (2 3 4 5).
      58. insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `calibre' overrides LSB defaults (0 1 6).
      59. Errors were encountered while processing:
      60. /var/cache/apt/archives/openmediavault-calibre_1.0.7_all.deb
      Display All

      Thanks in advance for your help. :thumbup:
      ==============
      1 USB Stick Kingston HyperX Fury 16GB (USB 3.0 90MB/s Read - 30MB/s Write)
      2 HDD WD Blue 320GB RAID2
      4 HDD WD Green 1TB RAID5

      My jobs:
      EOLO. Internet Wireless in Italy
      Upgrade Labs
    • these are all things that I already done.
      The point is not this.
      The point is that I start a general update from OMV GUI and the problems jumps over another time.
      There is something unstable and I think that it is something related to Calibre in OMV 0,5.
      Maybe I should not do an upgrade, but to do a fresh install
      Thanks in advance for your help. :thumbup:
      ==============
      1 USB Stick Kingston HyperX Fury 16GB (USB 3.0 90MB/s Read - 30MB/s Write)
      2 HDD WD Blue 320GB RAID2
      4 HDD WD Green 1TB RAID5

      My jobs:
      EOLO. Internet Wireless in Italy
      Upgrade Labs
    • I told you to do it again because it was still looking for the config file.
      I haven't updated the calibre plugin for 0.5 in a long time. So, that is possible.
      With these kinds of problems, I would do a fresh install.
      omv 4.1.9 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.10
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!